% Für Bindekorrektur als optionales Argument "BCORfaktormitmaßeinheit", dann
% sieht auch Option "twoside" vernünftig aus
% Näheres zu "scrartcl" bzw. "scrreprt" und "scrbook" siehe KOMA-Skript Doku
\documentclass[12pt,a4paper,titlepage,headinclude]{scrartcl}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Formatierung %%%%%%%%%%%%%%%%%%%%%%%%%%%

%keine Einrückung nach leerzeile
\parindent0pt

% Für Kopf und Fußzeilen, siehe auch KOMA-Skript Doku
\usepackage[komastyle]{scrpage2}
\pagestyle{scrheadings}
\setheadsepline{0.5pt}[\color{black}]
\automark[section]{chapter}

%Zitate und Literaturverzeichnis
\usepackage[backend=bibtex,natbib=true,sorting=none,style=numeric-comp,isbn=false,url=true]{biblatex}
\usepackage[babel]{csquotes}
\bibliography{literatur}

%Zur vernünftigen Dekodierung
\usepackage[T1]{fontenc} %
\usepackage[utf8]{inputenc} %utfx8
\usepackage[english]{babel} %

\usepackage{lmodern}

%Interaktives Dokument
\usepackage[hidelinks]{hyperref}%

%Für wissenschaftliches Zitieren
%\usepackage{natbib}

%Schriftarten
%\usepackage{lmodern} %

%Formatierung für Kof- und Fußzeile. Hier gilt entweder ... oder ...!!

%Für eigenen Zeilenabstand
\usepackage{setspace} %

%Für die Seitenformatierung
\usepackage{lscape} %
\usepackage{multicol} %
\usepackage{wallpaper} %

%Styling Inhaltsverzeichnis
\usepackage{tocloft} %

% Zur Formatierung für Kopf und Fußzeilen. Im Allgemeinen ist scrpage2 besser als fancyhdr
\usepackage{scrpage2}
\pagestyle{scrheadings}
\setheadsepline{0.5pt}[\color{black}]

%Einstellungen für Figuren- und Tabellenbeschriftungen
\setkomafont{captionlabel}{\sffamily\bfseries}
\setcapindent{0em} 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Mathematisches %%%%%%%%%%%%%%%%%%%%%%%%%%%

%Pakete für Mathesymbole
\usepackage{latexsym,exscale,stmaryrd} %
\usepackage{amssymb, amsfonts, amstext} %
\usepackage{amsmath, mathtools, amsthm} %

%align nummerierung
\numberwithin{equation}{subsection}

% Weitere Symbole
\usepackage[nointegrals]{wasysym} %
\usepackage{eurosym} %
\usepackage{textcomp} %

%\usepackage{ucs} %

%Für vernünftige Einheiten 
\usepackage[separate-uncertainty, exponent-product = \cdot]{siunitx}
%\usepackage[thinspace,thinqspace,amssymb]{SIunits} %
\usepackage{icomma} %
\usepackage{nicefrac}%

%SI-Einheiten
\usepackage{siunitx}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Grafiken & Tabellen %%%%%%%%%%%%%%%%%%%%%%%%%%%
% Text umfließt Graphiken und Tabellen
% Beispiel:
% \begin{wrapfigure}[Zeilenanzahl]{"l" oder "r"}{breite}
%   \centering
%   \includegraphics[width=...]{grafik}
%   \caption{Beschriftung} 
%   \label{fig:grafik}
% \end{wrapfigure}
% Mehrere Abbildungen nebeneinander
% Beispiel:
% \begin{figure}[htb]
%   \centering
%   \subfigure[Beschriftung 1\label{fig:label1}]
%   {\includegraphics[width=0.49\textwidth]{grafik1}}
%   \hfill
%   \subfigure[Beschriftung 2\label{fig:label2}]
%   {\includegraphics[width=0.49\textwidth]{grafik2}}
%   \caption{Beschriftung allgemein}
%   \label{fig:label-gesamt}
% \end{figure}

%Subfigure nur mit PDF statt Bildern einfügen:
\usepackage{adjustbox}
%\begin{figure}[h]
%  \centering
%  \subfigure[Caption1\label{fig:bild1}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild1}\end{adjustbox}}
%  \hfill
%  \subfigure[Caption2\label{bild2}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild2}\end{adjustbox}}
%  \hfill
%  \subfigure[Caption3\label{bild3}]
%  {\begin{adjustbox}{width=0.44\linewidth}\input{bild3}\end{adjustbox}}
%  \caption{Gesamtcaption}
%  \label{fig:gesamtlabel}
%\end{figure}

\usepackage{subfig}
\usepackage{pgfplots}



% Caption neben Abbildung
% Beispiel:
% \sidecaptionvpos{figure}{"c" oder "t" oder "b"}
% \begin{SCfigure}[rel. Breite (normalerweise = 1)][hbt]
%   \centering
%   \includegraphics[width=0.5\textwidth]{grafik.png}
%   \caption{Beschreibung}
%   \label{fig:}
% \end{SCfigure}

%Einstellungen für Figuren- und Tabellenbeschriftungen
\setkomafont{captionlabel}{\sffamily\bfseries}
\setcapindent{0em}

%Fuer mehr Platz in den Tabellen
\usepackage{cellspace} %mehr Platz in Tabellen
\addtolength\cellspacetoplimit{3pt}
\newcommand\myhline[1][2pt]{\\[#1]\hline}

%Zum Einbinden von GRafiken
\usepackage{graphicx}% [pdflatex]
\usepackage{xcolor}%
\usepackage{pgfplots}

%Für textumflossene Grafiken
\usepackage{wrapfig} %

%Für subfigure
%\usepackage{caption}
\usepackage[font={small}]{caption}
%\usepackage{subcaption}

% Caption neben Abbildung
\usepackage{sidecap}

%Für URLs
\usepackage{url}%

%Zum Einbinden von Quelltext
\usepackage{listings-ext} %

%Für chemische Formeln
\usepackage{chemfig} %
\usepackage[version=4]{mhchem} %eingach ueber \ce{} einbinden
%Für chemische Formeln (von www.dante.de)
%% Anpassung an LaTeX(2e) von Bernd Raichle
\makeatletter
\DeclareRobustCommand{\chemical}[1]{%
  {\(\m@th
   \edef\resetfontdimens{\noexpand\)%
       \fontdimen16\textfont2=\the\fontdimen16\textfont2
       \fontdimen17\textfont2=\the\fontdimen17\textfont2\relax}%
   \fontdimen16\textfont2=2.7pt \fontdimen17\textfont2=2.7pt
   \mathrm{#1}%
   \resetfontdimens}}
\makeatother
%erzwinge Fussnote auf selber Seite
\interfootnotelinepenalty=1000

%Zusätzliche Boxen
\usepackage{fancybox}

%\usepackage{framed}
%\usepackage{mathmode}
%\usepackage{empheq}

%Für variable Referenzen
\usepackage{varioref}

%Für Tabellen mit fester Gesamtbreite und variabler Spaltenbreite (im Gegensatz zu tabular)
\usepackage{tabularx}
%\newcommand{\ltab}{\raggedright\arraybackslash} % Tabellenabschnitt linksbündig
%\newcommand{\ctab}{\centering\arraybackslash} % Tabellenabschnitt zentriert
%\newcommand{\rtab}{\raggedleft\arraybackslash} % Tabellenabschnitt rechtsbündig


%Für Gleitobjekte
\usepackage{float} %Für H-Option

\usepackage{multirow} % Zellen von Tabellen zusammenfassen
\usepackage{booktabs} % verschoenert Tabellen
\usepackage{fixltx2e} % Repariert einige Dinge in Bezug auf das setzen von Gleitobjekten http://ctan.org/pkg/fixltx2e
\usepackage{stfloats} % Bei Gleitobjekten (figure,table,...) die ueber zwei Spalten gesetzt werden (Umgebung figure*), funktioniert [tb] http://ctan.org/pkg/stfloats
\usepackage{rotating} % Wird für Text und Grafiken benötigt, die um einen Winkel gedreht werden sollen



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Kommandodefinitionen %%%%%%%%%%%%%%%%%%%%%%%%%%%

%Zur Korrektur und Kommentierung
\newcommand{\comment}[1]{\marginpar{\tiny{\textcolor{red}{#1}}}} % ermoeglicht kleine Kommentare am Seitenrand: \comment{Fehler?}
\newcommand{\Comment}[1]{\textcolor{red}{#1}}

%Zur Formatierung in der Matheumgebung
\renewcommand{\t}{\ensuremath{\rm\tiny}} % Tiefgestellter Text in der Matheumgebung wird schoener mit: $\Phi_{\t{Text}}$
\renewcommand{\d}{\ensuremath{\mathrm{d}}} % Die totale Ableitung ist stets aufrecht zu setzen: \d
\newcommand{\diff}[3][]{\ensuremath{\frac{\d^{#1}#2}{\d#3^{#1}}}} % einfache Ableitung nach x: $\ddx{\Phi}$
\newcommand{\pdiff}[3][]{\ensuremath{\frac{\partial^{#1}#2}{\partial#3^{#1}}}} % wie gesprochen, eine partielle Ableitung: \del
\newcommand{\aeqiv}{\ensuremath{\qquad \Longleftrightarrow \qquad}} % Eine Aequivalenz
\newcommand{\folgt}{\ensuremath{\qquad \Longrightarrow \qquad}} % Ein Folgepfeil mit Abstaenden
\newcommand{\corresponds}{\ensuremath{\mathrel{\widehat{=}}}} % Befehl für "Entspricht"-Zeichen
\newcommand{\mi}[1]{\ensuremath{\mathit{#1}}} % italics für griechische Buchstaben in Matheumgebung

%Um nicht so viel schreiben zu müssen...
\newcommand{\bs}[1]{\boldsymbol{#1}}
\newcommand{\ol}[1]{\overline{#1}}
\newcommand{\wtilde}[1]{\widetilde{#1}}
\newcommand{\mrm}[1]{\mathrm{#1}}
\newcommand{\mbf}[1]{\mathbf{#1}}
\newcommand{\mbb}[1]{\mathbb{#1}}
\newcommand{\mcal}[1]{\mathcal{#1}}
\newcommand{\mfrak}[1]{\mathfrak{#1}}

%Abkürzungen
\newcommand{\zB}{z.\,B.\ }
\newcommand{\bzw}{b.\,z.\, w.\ }
\newcommand{\Dh}{d.\,h.\ }
\newcommand{\Gl}{Gl.\ }
\newcommand{\Abb}{Abb.\ }
\newcommand{\Tab}{Tab.\ }

%Farbige Box um eine Formel
%Anwendung:
%\eqbox{
%  \begin{equation}
%    ...
%  \end{equation}
%}
\newcommand{\eqbox}[1]{
  \colorbox{gray!30}{\parbox{\linewidth}{#1}} 
}

%Im Text
\newcommand{\engl}[1]{engl. \textit{#1}}
\newcommand{\zitat}[1]{\footnote{#1}}
\newcommand{\person}[1]{\textsc{#1}}


%Matheoperatoren
\DeclareMathOperator{\tr}{tr}
\DeclareMathOperator{\sgn}{sgn}
\DeclareMathOperator{\diag}{diag}
\DeclareMathOperator{\const}{const}
\DeclareMathOperator{\grad}{grad}
\DeclareMathOperator{\rot}{rot}
\DeclareMathOperator{\divz}{div}


%%%%%%%%%%%%%%%%%%%%%%%%% Quellcode - Formatierung %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Um auch Umlaute in den Kommentaren auswerten zu können
\lstset{
literate = {Ö}{{\"O}}1 {Ä}{{\"A}}1 {Ü}{{\"U}}1 {ß}{{\ss}}2 {ü}{{\"u}}1
           {ä}{{\"a}}1 {ö}{{\"o}}1
}

%Formatierung des Quellcode
\lstset{
language=C++,
basicstyle=\footnotesize\ttfamily,
keywordstyle=\bfseries\color{blue},
stringstyle=\color{red},
commentstyle=\itshape\color{green!60!black},
emphstyle = \bfseries\color{red!80!green!60!blue}
%identifierstyle=,
}

%Zum Hervorheben bestimmter Begriffe (z.B. eigene Klassen, etc.)
%\lstset{
%emph = {vector, iterator, std, ostream, istream , ofstream, ifstream, fstream, cmath}
%}

%Nummerirung
\lstset{
numbers=left,
numberstyle=\tiny,
stepnumber=2,
numbersep=5pt,
frame=single,
breaklines=true
framesep=5pt,
numbersep=8pt,
breakindent=3ex
}

%Einbunden über
%\lstinputlisting[caption={blablabla}, language=C++]{name.cpp}

\DeclareUnicodeCharacter{2212}{-}

\begin{document}
%Autor, etc.
\newcommand{\versuch}{BK.NLF}
\newcommand{\titel}{Nd:YAG Laser and Second-harmonic generation}
\newcommand{\praktikant}{Felix Kurtz}
\newcommand{\partners}{Michael Lohmann \& Thomas Rittmann}
\newcommand{\betreuer}{Vineesh Kappadan}
\newcommand{\pruefer}{Dr. Thomas Kurz}
\newcommand{\email}{\href{mailto:felix.kurtz@stud.uni-goettingen.de}
           {felix.kurtz@stud.uni-goettingen.de} }
\newcommand{\durchfuehrungsdatum}{30.01.2019}
\newcommand{\abgabedatum}{\today}

%Metainformationen
\hypersetup{
      pdfauthor = {\praktikant~ },
      pdftitle  = {\titel: \versuch},
      pdfsubject = {\versuch}
}

\begin{titlepage}
\pagestyle{empty}
\cfoot{}%SeitenNummer wegmachen
\begin{center}
\large{\textbf{Advanced Lab Course \\
	  University of Goettingen, Faculty of Physics}} \\
				
%\vspace*{-2cm}
\rule{460pt}{0,01cm}\\[0.5cm]


% ---------------------------------- Titel des Versuches und Institut ----------------------------

\Huge{\textbf{\titel}}\\[0,6cm]

\large{Report of experiment \versuch}

%evtl anpassen bei langem Titel
\vspace*{1,0cm}
\end{center}
% --------------------------------------- Betreuer des Versuchs ---------------------------------

\large{
\begin{tabular}{p{80mm}l}
	Name: & \praktikant\\[0,3cm]
	E-Mail: & \email\\[0,3cm]
	Conducted with: & \partners\\[0,3cm]	
	Lab date: & \durchfuehrungsdatum\\[0,3cm]
	Tutor: & \betreuer\\[0,3cm]
	Examiner: & \pruefer\\[0,3cm]
	Signature: & 
\end{tabular}
}\\

% --------------------------------------- Rest der Seite nicht ausfuellen -----------------------
%\vspace*{1cm}
\begin{center}
\Large{\textbf{Submission}}\\[1.0cm]
\end{center}
\begin{tabular}{p{80mm}l}
Date: &  Signature Tutor: 
\end{tabular}\\

%\vspace*{1cm}
\begin{center}
\Large{\textbf{Examination}}\\[1.0cm]
\end{center}
\begin{tabular}{p{80mm}l}
Date:  & Name Examiner:\\[0,4cm]
Points: & Signature: \\[0,4cm]
Grade:& 
\end{tabular}
\end{titlepage}

\cleardoublepage
\tableofcontents
\thispagestyle{empty}
\cleardoublepage

\setcounter{footnote}{0}
\setcounter{page}{1}

\pagenumbering{arabic}

\newpage

\section{Motivation}
\label{sec:einleitung}
The Laser (\textbf{L}ight \textbf{A}mplification by \textbf{S}timulated \textbf{E}mission of \textbf{R}adiation) is an artificial light source relying on stimulated rather than spontaneous emission.
This underlying concept traces back to \person{Einstein} \citep{Einstein1917}.
Its realization in 1960 \citep{Maiman1960} triggered various applications ranging from fundamental research to medical and industrial usage.
It stimulated several Nobel prizes, among them the most recent one in Physics for ``optical tweezers'' and the ``chirped pulse amplification'' \citep{nobel2018}.

Here, we setup a Nd:YAG laser pumped with a laser diode.
Both emit in the near-infrared.
Later, intracavity frequency doubling is employed to achieve an output of green light.
This type of laser is widely used in various cases:
\begin{itemize}
	\item As a pump source for Ti:sapphire lasers, the ``working horse'' in the ultrafast sciences, delivering pulses shorter than 10\,fs.
	\item For particle image velocimetry in fluiddynamics.
	\item In medicine for different laser surgery schemes.
	\item To cut material in manufacturing processes.
\end{itemize}

\section{Theory}
\label{sec:theorie}
\subsection{Laser design}
\begin{figure}[!htb]
	\begin{minipage}{0.5\textwidth}
		The basic elements of a laser are:
		\begin{itemize}
			 \item An active material, where energy can be stored as population inversion and released due to stimulated emission.
			 \item A source supplying the required power to ``pump'' the active material.
			This can be either electrically or optically.
			 \item A resonator where the emitted light is trapped in order to amplify the stimulated emission.
			\end{itemize}
	\end{minipage}
	\hfill
	\begin{minipage}{0.45\textwidth}
		\includegraphics[width=\textwidth]{figures/LaserScheme.png}
		\caption{Basic design of a laser \citep[p.\,182]{lauterborn_coherent_2003}}
		\label{fig:laserScheme}
	\end{minipage}
\end{figure}
\newpage
\subsection{Laser rate equation}
The three interactions between a photon and matter are absorption, spontaneous and stimulated emission -- as depicted in Fig.\ref{fig:LaserProcesses}.
Here, the difference between two energy levels of the material coincides with the photon energy $\Delta E=E_2-E_1=h\nu$.
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.6\textwidth]{figures/LaserProcesses.png}
	\caption{The three important processes of light-matter interaction \citep[p.182]{lauterborn_coherent_2003}.}
	\label{fig:LaserProcesses}
\end{figure}

Due to absorption of one photon, an electron is lifted into the higher energy level.
Spontaneously, this electron can loose its energy again and a photon is emitted.
Due to stimulated emission however, an exact copy of a by-passing photon is emitted.
They coincide in energy, momentum and phase.
The transition probabilities, referred as \textit{Einstein coefficients}, are $A_{21}=W_S$ for spontaneous emission and $B_{12}=B_{21}=W$ for absorption and stimulated emission.
The equality results from symmetry reasons.

%\begin{align}
%	\frac{\d n_1}{\d t}&=-B_{12} \cdot n_1 \cdot u_{ph}\\
%	\frac{\d n_2}{\d t}&=-B_{21} \cdot n_2 \cdot u_{ph}\\ 
%	\frac{\d n_2}{\d t}&=-A_{12} \cdot n_2  
%\end{align}

An amplification is only achieved, if the higher energy level is populated more than the lower one.
This non-thermal state is called \textit{population inversion}.
Since the Einstein coefficients for absorption and stimulated emission coincide, two levels are not enough.
The emission will always be higher than the absorption which does not allow a population inversion.
In a three-level laser, pumping lifts an electron into an higher energy level $E_3$ where it rapidly relaxes into the upper laser level $E_2$.
Since the ground state is the lower laser level $E_1$, a high pumping rate is acquired to achieve population inversion.
This is improved in a four-level system where the lower laser level does not coincide with the ground state $E_0$ and is rapidly depopulated.
This results in a basically empty lower laser level and as such immediate population inversion (cf. Fig.\,\ref{fig:NdYAG_levels} for a graphical depiction).\\

For those energy-level systems so-called rate equations can be derived.
In the following a three-level laser is described \citep[ch.\,10.2]{lauterborn_coherent_2003}.
Because of the short lifetime of $E_3$, it is considered empty and the total number of electrons in the system is only the sum of the electrons in $E_1$ and $E_2$: $N=N_1+N_2=\text{const}$.
With the three processes described above, the temporal change of the photon number $Q$ in the cavity and the change of the level population $N_2$ are derived:
\begin{align}
	\frac{\d Q}{\d t}&= \underbrace{-\,\gamma Q}_{\text{resonator losses}} -\underbrace{ W N_1 Q}_{\text{absorption}} +\underbrace{ W N_2 Q}_{\text{stim.\,emission}}+\underbrace{W_{\text{sm}}N_2}_{\text{spont.\,emission}}\\
	\frac{\d N_2}{\d t} &= \underbrace{-W_{21}N_2}_{\text{decay}}+\underbrace{W N_1 Q}_{\text{absorption}}-\underbrace{W N_2 Q}_{\text{stim.\,emission}}+\underbrace{W_{12}N_1}_{\text{pump}}
\end{align} 
Here, $W$ is the transition rate for both absorption and stimulated emission between the laser levels $E_1$ and $E_2$, $W_\text{sm}$ the fraction of the spontaneous emission rate yielding photons of the resonator mode, $W_{21}$ the transition rate from the upper laser level to the ground state by both spontaneous emission and radiationless relaxation processes, and $W_{12}$ the transition rate from the ground state to the upper laser level induced by the pump.

One can simplify the rate equations introducing normalized properties (cf.\,\citep[pp.\,185]{lauterborn_coherent_2003}).
This leads to a normalized photon number $q$ and population inversion $n$ coupled by the following differential equation system:
\begin{align}
\begin{split}
	\dot{q}&=-q+nq\,, \\
	\dot{n}&=p-bn-2nq\,.
\end{split}
\label{eq:rateEq}
\end{align}
Here, $p$ is the effective pump rate, and $b$ the decay rate of the population imbalance.
Steady-state solutions are obtained for $\dot{q}=0$ and $\dot{n}=0$.
Moreover, for a physically acceptable solution $q\geq 0$ has to be fulfilled.
This leads to the following solution: 
\begin{align*}
	q=q_1=0 \quad \text{and} \quad n=n_1=p/b \qquad \text{for} \quad p<b, \\
	q=q_2=(p-b)/2 \quad \text{and} \quad n=n_2=1 \qquad \text{for} \quad p\geq b.
\end{align*}
It defines the lasing threshold $p=b$.
Beyond this threshold the photon number $q$ rises linearly with the pumping rate $p$ (cf. Fig \ref{fig:LaserStableSol}).
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.6\textwidth]{figures/LaserStableSol.png}
	\caption{Stable solution of the Laser rate equation: For $p>b$ lasing occurs \citep[p.\,182]{lauterborn_coherent_2003}.}
	\label{fig:LaserStableSol}
\end{figure}

\subsubsection{Spiking}
When the pump is suddenly turned on, large fluctuations in output power occur until the steady state is reached -- especially close to lasing threshold.
A train of spikes is emitted (Fig.\ref{fig:LaserRateEq_spiking}), with the strongest peak in this simulation exceeding 8x the average power level.
The spikes depopulate the upper laser level rapidly and thus, the system is below lasing threshold again.
Pumping increases the population inversion again until the next spike is emitted.
This process is slowly damped and the steady-state is approached.

\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/LaserRateEq_2.pdf}
	\caption{Simulated laser start-dynamics with prominent spiking.}
	\label{fig:LaserRateEq_spiking}
\end{figure}

% \begin{figure}[htb]
%   \centering
%   \subfloat[Beschriftung 1\label{fig:label1}]
%   {\includegraphics[width=0.49\textwidth]{LaserRateEq.pdf}}
%   \hfill
%   \subfloat[Beschriftung 2\label{fig:label2}]
%   {\includegraphics[width=0.49\textwidth]{LaserRateEq_higherPump.pdf}}
%   \caption{Beschriftung allgemein}
%   \label{fig:label-gesamt}
% \end{figure}

\subsection{Resonator}
As motivated before, a resonator is needed to feed back the generated photons.
Only a discrete set of wavelengths $\lambda_n$ (frequencies $\nu_n$) interfere constructively because they satisfy the standing wave condition:
\begin{align}
  L=\frac{\lambda_n}{2}n\quad\Leftrightarrow\quad\nu_n=\frac{c}{2L}n\quad,\qquad n\in\mathbb{N}\;. \label{eq:cavity_length}
\end{align}
A cavity length of $L=10\,$cm leads to a frequency spacing of $$\Delta \nu =\nu_{n+1}-\nu_n=\frac{c}{2L}\approx \SI{1.5}{\giga\hertz}.$$
Due to the finite width of the amplification profile only a few longitudinal modes $\lambda_n$ overcome the lasing threshold (Fig.\,\ref{fig:laser_modes}).
In an homogeneously broadened laser medium the mode with the highest gain is amplified the most and is finally the only one surviving.
In an unhomogenously broadened each longitudinal mode has nearly independent lasing conditions, resulting in laser operating at several modes.

\begin{figure}[h]
  \centering
  \includegraphics[width=0.7\linewidth]{figures/Laser_Modes}
\caption{The amplification profile allows only a few frequencies (red) to get above the critical power $p_\text{crit}$ where lasing is possible. The spacing $\Delta\nu$ is antiproportional to the cavity length. \label{fig:laser_modes}}
\end{figure}

\subsection{Laser types}
Here, a Nd:YAG laser is built which is pumped by a laser diode.
The working principle and other important characteristics of both laser types are discussed below.

\subsubsection{Nd:YAG}
The Nd:YAG laser is a solid state laser which emits at the wavelength of $1064\,$nm.
Its operation was first demonstrated by Geusic et al. in 1964 \citep{Geusic1964}.
Yttrium aluminium garnet (YAG, Y$_3$Al$_5$O$_{12}$) is used as a host crystal.
It offers a good thermal conductivity and is optically transparent.
By doping with Neodymium Nd$^{3+}$ ions, those ions replace a small fraction of the ytrrium ions (1-2\,\%).
The important laser transition occurs between the $^4\text{F}_{3/2}$ state and the $^4\text{I}_{11/2}$ state of Nd$^{3+}$ which corresponds to the wavelength of \SI{1064}{\nano\meter} (Fig. \ref{fig:NdYAG_levels}).
The system is pumped from $^4\text{F}_{9/2}$ to $^4\text{F}_{5/2}$ enabled by the global absorption maximum at 808.4\,nm (cf. Fig.\ref{fig:absorptionTheo}).
Fast radiationless transitions occur between upper pumping level to the upper laser level and from the lower laser level to the ground state.
Thus, Nd:YAG is a four-level laser owing high efficiency and allowing high optical output powers. 

\begin{figure}[!h]
	\begin{minipage}[b]{0.49\textwidth}
		\includegraphics[width=\textwidth]{figures/NdYAG_scheme.png}
		\caption{Energy level scheme of Nd:YAG \citep[p.\,4]{yag_manual}.}
		\label{fig:NdYAG_levels}
	\end{minipage}
	\hfill
	\begin{minipage}[b]{0.49\textwidth}
		\includegraphics[width=\textwidth]{figures/absorption800.png}
		\caption{Absorption spectrum of Nd:YAG around $\SI{800}{\nano\meter}$ adapted from \cite{vainshenker_diodepumped_2013}.}
		\label{fig:absorptionTheo}
	\end{minipage}
\end{figure}
\newpage
\subsubsection{Laser diodes}
\begin{figure}[!h]
	\begin{minipage}{0.55\textwidth}
		A laser diode is based on the radiative recombination of a electron-hole pair in a semiconductor.
		Thus, electrical current serves as the pump source.
		This makes the device cheap and scaleable.
		It is used in DVD readers as well as a pump source of high-power solid-state lasers.
		The cavity is often formed by the cleaved surfaces at the front and rear due to the change of refractive index resulting in reflectivities around 30\,\% (Fresnel formula).
		Since the bandgap and the refractive index are temperature-dependent, the emitted wavelength changes.
		This is also influenced by the injection current.
		The typical thermal shift is ca. 0.25-0.30\,nm/K \citep{bartl_tuning_2002}.
		Thus, it allows for wavelength tuning necessary for optical pumping.
		A small mode diameter leads to a high beam divergence.
		Since the beam diameter in the direction of the pn-junction is much smaller than in the other direction, this results in an elliptical beam profile.
		This has to be compensated with a special collimating lens.
	\end{minipage}
	\hfill
	\begin{minipage}{0.4\textwidth}
		\includegraphics[width=\textwidth]{figures/Laserdiode.png}
		\caption{Schematic design of a laser diode \citep[p. 657]{neamen_semiconductor_2012}.}
	\end{minipage}
\end{figure}
\subsection{Second-harmonic generation}
Frequency doubling was first observed 1961 when the intense light of a ruby laser (694\,nm) was focused into a quartz sample \citep{franken_generation_1961}.
The output was analyzed  with a spectrometer indicating the production of UV light (347\,nm).
Famously, the resulting dim spot on the photographic paper got edited out in the publication since it was mistaken as dirt by the copy editor.
Second-harmonic generation (SHG) is an effect of nonlinear optics \citep[pp.\,3]{new_introduction_2011}.
The polarization $\bs{P}(t)$ is expressed by an Taylor-series expansion in terms of the electric field $\bs{E}(t)$:
\begin{align}
	\bs{P}(t)=\epsilon_0\left(\chi^{(1)}\bs{E}(t)+\chi^{(2)}\bs{E}^2(t)+\dots\right)\,,
\end{align}
where $\chi^{(n)}$ is the susceptibility tensor of the n-th order.
This corresponds to an underlying anharmonic potential of a bound electron in the Lorentz oscillator model.
For an oscillating electric field  $\bs{E}(t)=\bs{E}_0(t)\cos(\omega t)$ the polarization is given by $$\bs{P}(t)=\epsilon_0\left[\chi^{(1)}\bs{E}_0\cos(\omega t)+\frac{1}{2}\chi^{(2)}\bs{E}_0^2\cdot\left(1+\cos(2\omega t)\right)+\dots\right]\,.$$
A term oscillating with $2\omega$ occurs in the polarization and is thus radiated: 
\begin{align}
	E(2\omega)\propto P(2\omega)=\frac{1}{2}\epsilon_0\chi^{(2)}E(\omega)^2
\end{align}
The condition $\chi^{(2)}\neq 0$ has to be satisfied meaning a broken inversion symmetry in the optical medium.
In the particle picture, the SHG-process can be understood as the transformation of two photons of the incident wavelength into one having half the wavelength\,/\,twice the energy. 

Since the refractive index of a material is wavelength-dependent, the incident beam and its second-harmonic generally do not share the same phase velocity.
As an result, the second-harmonic radiation generated from multiple points inside the crystal is not phase-matched ie. interferes destructively.
\textit{Phase matching}, ie. $n_\omega=n_{2\omega}$  is required.
This can be achieved in a birefringent crystal having two refractive indicies.
Suitable materials are BBO ($\beta$-barium borate), lithium niobate, and the one used here, KTP (potassium titanyl phosphate). 

\newpage
\section{Setup and experimental steps}
\label{sec:durchfuehrung}
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.8\textwidth]{figures/Setup.png}
	\includegraphics[width=0.8\textwidth]{figures/Setup.jpg}
	\caption{Setup with all optical components including the SHG-crystal. Schematic illustration (from the instruction manual, top) in comparison to the real experiment (bottom).}
	\label{fig:Setup}
\end{figure}
The experiment consists of multiple optical components which can be mounted on an optical rail (Fig.\ref{fig:Setup}): A laser diode (A) and its collimator lens (B), a second lens (C), the Nd:YAG crystal (D) and the output coupler (E) form the laser.
The output is quantified with a photodiode (G).
To measure the optical power in absolute units, a powermeter is required which is basically a spectrally calibrated photodiode.
To block certain wavelengths a filter can be inserted at position F.
As the last step in this experiment, a potassium titanyl phosphate crystal (KTP) is inserted at position H.

\subsection{Prerequisites}
First, one has to characterize the laser diode.
Therefore, its output is collimated and measured with the photodiode -- depending on the injection current.
The threshold current is obtained where lasing starts.
As a next step, the dependence of the emitted wavelength on the temperature and the injection current is measured.
For that, a lens (C) is inserted in the collimated beam and the Nd:YAG crystal (D) is placed in its focus ($f=60\,$mm).
Now, an absorption curve is obtained for many diode temperatures and a few injection currents. 
As a last step before building the actual laser, the fluorescence lifetime of Nd:YAG is measured.
Therefore, an longpass-filter (RG1000) is inserted between the crystal and the photodiode to block the pump light.
The laser diode runs in internal modulation mode producing 4\,ms-pulses.
From the exponential decay and the buildup of the transmitted fluorescence the lifetime can be calculated.

\subsection{Nd:YAG lasing}
To achieve lasing in the Nd:YAG crystal the cavity is completed by inserting the output coupler (E).
It transmits 2\% of the emitted light.
Since it is curved with a radius of 10\,cm, the cavity resembles a spherical resonator which is only stable if the cavity length is smaller than this curvature.
The laser diode current is set to 550\,mA and the temperature should correspond to the absorption maximum measured before.
Now, the cavity has to be aligned.
Therefore, the output is monitored with the oscilloscope at highest sensitivity.
If lasing is achieved the output rises drastically and one can optimize it from this point on.
At the end, the transversal mode should be Gaussian (TEM$_{00}$).
Other modes are observed for slight misalignments.
Now the laser output is measured depending on the diode pump current.
The temperature is always adjusted accordingly, ie. allowing maximum output.
From this measurement, the lasing threshold for the Nd:YAG cavity can be determined.
In a second measurement, the current is set constant and the temperature is varied.
It demonstrates the dependence on the absorption efficiency.
The pump diode is internally modulated again, and the starting dynamics of the Nd:YAG laser is monitored with the oscilloscope showing spiking behavior.
This is done for two injection currents: slightly and far above lasing threshold.

\subsection{Intracavity frequency doubling}
For the second-harmonic generation the KTP-crystal (H) is inserted in the cavity.
Moreover, the output coupler is exchanged with one owing a lower transmittance of 0.2\% to achieve higher intensities inside the cavity.
In order to measure just the frequency-doubled (green) light a shortpass filter (BG39) is inserted into the outcoupled beam.
Then, the cavity is aligned again for maximum power output.
Additionally, the KTP crystal is rotated to achieve phase matching and thus, the highest possible output power.
After that, the dependence of the resulting laser output on the pumping current is measured again.
The diode temperature has to be set accordingly, too.

\newpage
\section{Results and discussion}
\label{sec:auswertung}
\subsection{Laser diode}
At room temperature (\SI{20.2}{\celsius}) the output of the laser diode is measured dependent on the injection current (Fig.\ref{fig:LaserDiodeOutput}).
The measurement error is assumed to be very small, since the current could be set with a precision of $0.1\,$mA and the observed weak fluctuations of the photodiode voltage lead to an estimated
output power measurement error of 1\,mW.
The output rises with increasing current starting at the lasing threshold $I_{0,\text{Diode}}=(149 \pm 3)\,\si{\milli\ampere}$.
This value is obtained by assuming a linear dependence for low currents (red).
For higher currents ($I>290\,$mA) the slope is substantially smaller and a second line is fitted (blue).
The slopes are $(1.26 \pm 0.04)\,$W/A for $I<290\,$mA and $(0.84 \pm 0.02)\,$W/A for $I>290\,\si{\milli\ampere}$.
The observed kink is assumed to be caused by a discrete change in mode profile for higher currents.

\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/LaserDiode.pdf}
	\caption{Current-dependent output of the laser diode.}
	\label{fig:LaserDiodeOutput}
\end{figure}

\newpage
\subsection{Absorption measurement}
Figure \ref{fig:Absorption} shows the measured intensity after the Nd:YAG crystal at a current of 550\,mA depending on the diode temperature.
The temperature relates to a certain emitted wavelength.
Thus, the extrema are marked and can be compared to the absorption spectrum in Figure \ref{fig:absorptionTheo}.
The minima at $(26\pm0.5)\si{\celsius}$ and $(37\pm0.3)\si{\celsius}$ are identified with the absorption maxima of Nd:YAG at $804.4$\,nm and $808.4$\,nm.
Assuming a linear dependence of the emitted wavelength on the temperature $\lambda(T)=\lambda(T_0)+m\cdot(T-T_0)$ in the measurement range, its slope can be calculated:
$$m=\frac{(808.4-804.4)\si{\nano \meter}}{(37-26)\si{\celsius}}=(0.36\pm 0.02)\si{\nano\meter\per\kelvin}.$$
Moreover, the maximum at $(43\pm0.3)\si{\celsius}$ agrees well with the absorption minimum between $808.4$\,nm and $812.9$\,nm.
The observed shift agrees well with reported values around 0.3\,nm/K \citep{bartl_tuning_2002}.
But for a better characterization of the exact behavior a grating spectrometer would be necessary.
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/Absorption.pdf}
	\caption{Absorption measurement at $I=550\,$mA.}
	\label{fig:Absorption}
\end{figure}

\newpage
\subsubsection{Current-wavelength dependence}
Additionally, the transmitted intensity is measured for lower injection currents (250\,mA and 400\,mA) around the absorption maximum at $37\si{\celsius}$ in order to determine the wavelength dependence on the current (Fig.\,\ref{fig:AbsorptionDifferentCurrents}).
The measured intensity is normalized with the emitted power of the laser diode to compare the different curves.
A shift of the absorption maximum is expected since higher currents have to be compensated with lower external heating.
Unfortunately, the measurement at 250\,mA does not make any sense and this was not noticed during the measurement.
The curve does not show the characteristics of the other two measurements and is between $\SI{36}\celsius$ and $\SI{41.5}\celsius$ much larger.
A simple explanation would be a hysteresis in the output power or emitted wavelength of the laser diode when the temperature is changed drastically.
Maybe, it was not waited long enough before the measurement was taken and the temperature had not settled.
Nonetheless, a clear shift also cannot be detected between the curves at 400\,mA and 550\,mA.
One may see a shift at the rising edge between $41.5\si{\celsius}$ and $43\si{\celsius}$, but the absorption minima coincide at $43\si{\celsius}$.
Thus, the shift seems to be small.  
For the later measurement on the built Nd:YAG laser the corresponding temperature is determined by optimizing the laser output.

\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/AbsorptionDifferentCurrents.pdf}
	\caption{Absorption measurement for 3 different pump currents. Measured intensity is divided by the corresponding output power of the laser diode (see Fig. \ref{fig:LaserDiodeOutput}). It is very likely that a systematic error occurred for the $250\,$mA measurement which makes other error considerations irrelevant.}
	\label{fig:AbsorptionDifferentCurrents}
\end{figure}

\subsection{Fluorescence lifetime}
The laser diode is modulated resulting in 4\,ms pulses followed by a 4\,ms pause.
Due to the long lifetime $\tau$ of the upper laser level of Nd:YAG ($^4\text{F}_{3/2}$ state), the emitted fluorescence shows an exponential decay after the turn off and an exponential convergence after the turn on of the laser diode.
This is captured with the photodiode and the measured voltage $U(t)$ should follow
\begin{align*}
	U(t)&=U_0 \cdot e^{-t/\tau}\qquad\qquad \text{at turn off, and}\\
	U(t)&=U_0 \cdot \left(1-e^{-t/\tau}\right)\quad \text{\,at turn on.}
\end{align*}
This behavior is fitted in Figure \ref{fig:Fluorescence} and the lifetime is extracted yielding an weighted average of $(238 \pm 4)\,\si{\micro\second}$.
This is 3\,\% more than the literature value of $230\,\si{\micro\second}$.
The voltage values are read off from oscilloscope traces and the error is estimated as $\pm 2\,$mV.
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/Fluorescence.pdf}
	\caption{Fluorescence lifetime measurement with exponential convergence fits.}
	\label{fig:Fluorescence}
\end{figure}
\subsection{Nd:YAG lasing}
\subsubsection{Lasing threshold}
The pump-dependent output of the built Nd:YAG laser is shown in Figure \ref{fig:NdYAG-Output}.
The measurement starts at the highest injection current of 590\,mA and the temperature of the laser diode is set at the global absorption maximum around $37\si\celsius$.
Subsequently the current is reduced in steps of 20\,mA and the temperature is adjusted for an optimized output.
The lasing threshold $I_{0,\text{Nd:YAG}}=(214 \pm 3)\,\si{\milli\ampere}$ is determined by a linear fit at low diode currents.
A second linear regression is performed over the whole measurement range (gray), yielding a slope of $(0.31 \pm 0.01)\,$mA.

With the emitted wavelength of $\lambda=1064$\,nm, also the external differential quantum efficiency $\eta_{\text{quant}}$ (emitted photons per pump electron) of the entire system can be deduced:
$$\eta_{\text{quant}}=\frac{N_\text{ph}}{N_\text{e}}=\frac{e\lambda}{hc}\frac{\d P}{\d I}=\left(27\pm1\right)\%.$$
A rough estimate between the two slope efficiencies (0.31 W/A to 0.84 W/A above 290\,mA) would suggest a slope efficiency of the conversion process of about 37\%.
That corresponds to a photon-to-photon quantum efficiency of about 49\%, considering the wavelength difference.
For a high current of 550\,mA the ratio between output power and pump power is approximately 25\%.
Note that the L-I curve of the laser diode was derived at room temperature.
For the Nd:YAG lasing it was operated around $37\,\si\celsius$ where the output might differ.		
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/NdYAG-Output.pdf}
	\caption{Output power of the Nd:YAG laser depending on the pump diode current. The corresponding set temperature of the laser diode is shown, too.}
	\label{fig:NdYAG-Output}
\end{figure}

The set temperature of the laser diode was gradually decreased (see right axis in Fig. \ref{fig:NdYAG-Output}).
While the temperature could be set with a precision of $0.1\,\si\celsius$, it is estimated that the error made by optimizing for maximum output is larger than $0.5\,\si\celsius$.
A linear regression for $I\leq250\,$mA yields a slope of $(−5.5 \pm 0.8)\,$K/A.
Deviations from the optimal temperature could be the reason for the slight superlinear increase of output power with increasing current.


\subsubsection{Temperature behavior}
At a fixed current of 550\,mA, the temperature of the laser diode is varied and the laser output is measured (Fig.\ref{fig:NdYAG-Temp}).
This changes the pumping wavelength and thus the conversion efficiency.
The output power resembles nicely the absorption curve (cf. Fig.\,\ref{fig:Absorption}).
Higher absorption leads to a more efficient pumping and thus, to a higher output.
The extrema are shifted by $\SI 1\celsius$ and are located at \SI{27}{\celsius}, \SI{38}{\celsius} and \SI{44}{\celsius}.
\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.8\textwidth]{figures/LaserTempDependence.pdf}
	\caption{Output of the Nd:YAG laser versus temperature of the laser diode ($I=550\,$mA).}
	\label{fig:NdYAG-Temp}
\end{figure}

\subsubsection{Transverse modes}
Multiple transversal modes are observed and shown in Figure \ref{fig:modes}.
In a perfect alignment the beam profile resembles nicely a Gaussian (TEM$_{00}$).
If the cavity is slightly misaligned, lasing is still possible, but multiple spots occur in the output.
With horizontal adjustments TEM$_{x0}$ modes are achieved whereas vertical adjustments lead to TEM$_{0y}$ modes.
% MODE FIGURE
\begin{figure}[!h]
 	\begin{minipage}{\textwidth}\hspace{0.1\textwidth}
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
	 			\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_1.png}}
	 			\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{00}$}}}}	
 			\end{picture}
 		\end{minipage}
 		\hfill	
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_2_h.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{10}$}}}}	
 			\end{picture}	
 		\end{minipage}	
 		\hfill
 		\begin{minipage}{0.25\textwidth}
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_4_h.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{30}$}}}}	
 			\end{picture}	
 		\end{minipage}	
 		\hspace{0.1\textwidth}
 	\end{minipage}
 	
 	\vspace{0.01\textwidth}
 	
 	\begin{minipage}{\textwidth}
 		\hspace{0.1\textwidth}
 		\begin{minipage}[l]{0.25\textwidth}	
 			\setlength{\unitlength}{\textwidth}	
 			\begin{picture}(1,1)
 				\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_2_v.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{01}$}}}}	
 			\end{picture}
 			
 			\begin{picture}(1,1)(0,0.04)
	 			\put(0,0){\includegraphics[width=0.99\textwidth]{figures/mode_4_v.png}}
 				\put(0.05,0.85){\textsf{\textbf{\textcolor{white}{TEM$_{03}$}}}}	
 			\end{picture}
 		\end{minipage}
 		\hfill	
 		\begin{minipage}[c]{0.35\textwidth}
 			\setlength{\unitlength}{\textwidth}
 			\caption{Modes of the Nd:YAG laser for different cavity (mis)alignments, made visible on a infrared detector card. The dynamic range is adjusted from originals (see Figure \ref{fig:mode_original}) for enhanced contrast.}	
 			\label{fig:modes}	
 		\end{minipage}
 		\hfill
 		\hspace{0.1\textwidth}
 	\end{minipage}
\end{figure}

\subsubsection{Spiking}
By modulating the diode output, spiking of the laser output is observed (Fig.\ref{fig:spikingMeasurement}).
Before stable lasing is achieved, multiple pulses with strongly varying pulse heights are emitted.
Slightly above the lasing threshold (250\,mA), it takes 500\,\textmu s to settle at a constant output level.
For higher pumping currents, this effect is damped more as theory predicts and the steady state is reached in less than 50\,\textmu s for 590\,mA.
Moreover, for higher pumping the spikes get shorter, and compared to the steady-state level smaller.
\begin{figure}[h!]
	\centering
 	\subfloat[At 250\,mA, slightly above the lasing threshold.\label{fig:spiking_lowCurrent}]
	{\includegraphics[width=0.49\textwidth]{figures/spiking_lowcurrent_1.png}}
	\hfill
	\subfloat[At the highest current 590\,mA. \label{fig:spiking_highCurrent}]
	{\includegraphics[width=0.49\textwidth]{figures/spiking_highcurrent.png}}
	\caption{Spiking characteristics upon the onset of the laser diode  for two different currents are captured with the photodiode. Note the different scaling of the temporal axes. Moreover, the signal amplification is 5x higher in (a). The curves are extracted from oscilloscope images (Fig. \ref{fig:osci_spike}).}
	\label{fig:spikingMeasurement}
\end{figure}

\clearpage
\subsection{Second-harmonic generation}
The frequency doubled output is measured depending on the pumping rate (Fig. \ref{fig:SHG-Output}).
A quadratic behavior is expected above the lasing threshold $I_{0,\text{SHG}}$:
$P_\text{SHG}=a\left(I-I_{0,\text{SHG}}\right)^2$.
The fit yields $I_{0,\text{SHG}}=(209 \pm 10)\,\si{\milli\ampere}$ and $a=(2.0 \pm 0.2)$\,W/A$^2$.
Note that $I_{0,\text{SHG}}$ is slightly smaller than $I_{0,\text{Nd:YAG}}$.
This can be explained due to the fact that an output coupler with lower transmittance is used, thus higher cavity powers are achieved and the lasing threshold is lowered.
Like in Figure \ref{fig:NdYAG-Output}, the output increases more as predicted for higher currents (red data points).
This could be explained again with the fact that our measurement was performed from high currents to low currents and that the temperature was not set correctly.
Moreover, the cavity was very unstable and slight perturbations decreased the power drastically (discussed in detail below).
This is the reason for a large estimated error of $\pm10\%$.

\begin{figure}[!htb]
	\centering
	\includegraphics[width=0.9\textwidth]{figures/SHG-Output.pdf}
	\caption{Output of the frequency-doubled Nd:YAG laser.}
	\label{fig:SHG-Output}
\end{figure}

\subsubsection{Instability}
The frequency-doubled output is very unstable; candle-like power fluctuations are observed by eye.
This effect can be explained due to the nonlinearity involved which increases the noise level originating from mechanical vibrations.
Upon closer inspection with the oscilloscope (Fig. \ref{fig:shg_fluc}), also on a much faster timescale $(\sim 10\,\si{\micro\second})$ fluctuations occur -- too fast for mechanical perturbations.
This is often referred as the ``Green problem'' as it was first observed for this particular kind of laser \cite{baer_large-amplitude_1986}.
Lasing is achieved for several longitudinal modes and inside the KTP crystal not only the second-harmonic is generated but also sum-frequency generation occurs, coupling the different longitudinal modes.
This increases the noise level drastically and is a major problem in the development of intracavity frequency-doubled lasers.

\begin{figure}[!htb]
	\centering
	\subfloat[During a full modulation cycle of the laser diode, the green output does not reach a steady level.\label{fig:shg_fluc_total}]
	{\includegraphics[width=0.49\textwidth]{figures/shg_fluc_total_curve.png}}
	\hfill
	\subfloat[A zoom reveals strong peaks on a timescale of 10\,\textmu s. In between, the power even drops to zero. \label{fig:shg_fluc_zoom}]
	{\includegraphics[width=0.49\textwidth]{figures/shg_fluc_zoom_curve.png}}
	\caption{Fluctuations of the SHG signal measured with the oscilloscope. The curves are extracted from oscilloscope images (Fig. \ref{fig:shg_orig}).}
	\label{fig:shg_fluc}
\end{figure}

\clearpage
\section{Appendix}
\begin{figure}[htb!]
 	\centering
 	\includegraphics[width=0.6\textwidth]{figures/osci_lifetime.png}	
 	\caption{Oscilloscope image of the Nd:YAG fluorescence lifetime measurement (zoomed out) with a modulated laser diode. The photodiode signal (yellow) corresponds to the intensity of fluorescent 1064\,nm light from the crystal and is triggered by the TTL signal modulating the laser diode (blue). The noise level is estimated as $\approx\,4$ mV.}
 		\label{fig:osci_lifetime}		
\end{figure}

\begin{figure}[htb!]
	\centering	
	\includegraphics[width=0.47\textwidth]{figures/osci_spike_low.png}
	\hfill	
	\includegraphics[width=0.47\textwidth]{figures/osci_spike_high.png}		
	\caption{Original oscilloscope images of spiking behavior.}
	\label{fig:osci_spike}		
\end{figure}

\begin{figure}[htb!]
		\centering
		\includegraphics[width=0.7\textwidth]{figures/mode_10_orig.jpg}
		\caption{Exemplary photograph of the infrared detector card used for visualizing different modes (here: TEM$_{10}$). The pictures in Figure \ref{fig:modes} are generated from these photographs only by adjusting the dynamic range.}
			\label{fig:mode_original}
\end{figure}

\begin{figure}[htb!]
	\centering
	\includegraphics[width=0.47\textwidth]{figures/shg_fluc_orig_overview.jpg}
	\hfill	
	\includegraphics[width=0.47\textwidth]{figures/shg_fluc_orig_zoom.jpg}
	\caption{Original oscilloscope pictures showing the instability of the second-harmonic generation with modulated pump diode.}
	\label{fig:shg_orig}		
\end{figure}

\clearpage
%\nocite{*} %sorgt dafuer, dass alles ausgegeben wird
\printbibliography[heading=bibintoc]
\end{document}
